Bug 83677 - "unpack tuple of wrong size" in readonly rescue mode
"unpack tuple of wrong size" in readonly rescue mode
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
phoebe
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks: 79578
  Show dependency treegraph
 
Reported: 2003-02-06 19:20 EST by John Reiser
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-07 11:26:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2003-02-06 19:20:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
Rescue mode crashed when trying to mount a root partition (1 of 2) readonly.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Install RHL7.3 with separate / and /home and /extra partitions each as ext3.
2.Install Phoebe using /extra as new, formatted / as ext3, but mount same /home
ext3 keeping old contents.
3.Reboot RHL7.3, which will drop into maintenance mode when trying to mount
/extra because it has an unknown attribute (dir_index).
4.Boot Phoebe CD-ROM 1 as "linux rescue", specify the Phoebe root, atttempt to
mount it Read-only.

Actual Results:  "Blue screen of death" with [laddered because LF with no CR]:
Traceback (most recent call last)
File "/usr/bin/anaconda", line 319, in ?   rescue.runRescue(rootPath, not
rescue.nomount, id)
File "/usr/lib/anaconda/resuce.ph", line 130 in runRescue     for(drive, fs) in
disks:
Value Error: unpack tuple of wrong size
install exited abnormally

[Above traceback was transcribed by hand.]


Expected Results:  Phoebe root should have been mounted readonly, and no crash.

Additional info:

I worked around the problem by selecting Skip instead of Read-only.  Then I
could remove the dir_index attribute from the Phoebe root, e2fsck -fD, check all
filesystems, reboot with RHL8.0 rescue mode, check all filesystems, and finally
reboot into RHL7.3.  It's a bummer that switching back-and-forth between RHL7.3
and Phoebe has these quirks.
Comment 1 Jeremy Katz 2003-02-07 11:26:56 EST
Fixed in CVS already

Note You need to log in before you can comment on or make changes to this bug.